package ru.yandex.autotests.directapi.model.api5.campaignsext;

import com.yandex.direct.api.v5.campaignsext.DynamicTextCampaignSettingGet;
import com.yandex.direct.api.v5.campaignsext.DynamicTextCampaignSettingsGetEnum;
import com.yandex.direct.api.v5.general.YesNoEnum;

import ru.yandex.autotests.direct.utils.model.ModelBeanMap;

/**
 * Created by pavryabov on 17.11.15.
 */
public class DynamicTextCampaignSettingGetMap extends ModelBeanMap<DynamicTextCampaignSettingGetMap> {

    public static final String OPTION = "option";
    public static final String VALUE = "value";

    public DynamicTextCampaignSettingGetMap() {
        super();
        setBean(new DynamicTextCampaignSettingGet());
    }

    public DynamicTextCampaignSettingGetMap(DynamicTextCampaignSettingGet dynamicTextCampaignSettingGet) {
        super();
        setBean(dynamicTextCampaignSettingGet);
    }

    public DynamicTextCampaignSettingGetMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public DynamicTextCampaignSettingGetMap withOption(DynamicTextCampaignSettingsGetEnum campaignPropertiesEnum) {
        this.put(OPTION, campaignPropertiesEnum);
        return this;
    }

    public DynamicTextCampaignSettingGetMap withValue(YesNoEnum yesNoEnum) {
        this.put(VALUE, yesNoEnum);
        return this;
    }
}
